LinuxQMISDK: sysInfoCommon Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
sysInfoCommon Struct Reference

## Data Fields
BYTE | srvDomainValid
BYTE | srvDomain
BYTE | srvCapabilityValid
BYTE | srvCapability
BYTE | roamStatusValid
BYTE | roamStatus
BYTE | isSysForbiddenValid
BYTE | isSysForbidden

## Detailed Description

Structure for storing the System Information common to CDMA, HDR, GSM, WCDMA and LTE networks.

Parameters

  srvDomainValid | Indicates whether the service domain is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  srvDomain | Service domain registered on the system. 0x00 - No service 0x01 - Circuit-switched only 0x02 - Packet-switched only 0x03 - Circuit-switched and packet-switched 0x04 - Camped 0xFF - Not Available
  srvCapabilityValid | Indicates whether the service capability is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  srvCapability | Current system's service capability. 0x00 - No service 0x01 - Circuit-switched only 0x02 - Packet-switched only 0x03 - Circuit-switched and packet-switched 0x04 - Camped 0xFF - Not Available
  roamStatusValid | Indicates whether the roaming status is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  roamStatus | Current roaming status. 0x00 - Off 0x01 - On 0x02 - Blinking 0x03 - Out of the neighborhood 0x04 - Out of the building 0x05 - Preferred system 0x06 - Available system 0x07 - Alliance partner 0x08 - Premium partner 0x09 - Full service 0x0A - Partial service 0x0B - Banner is on 0x0C - Banner is off 0x0D to 0x3F - Reserved for Standard Enhanced Roaming Indicator Numbers 0x40 to 0x7F - Reserved for Non-Standard Enhanced Roaming Indicator Numbers 0x40 to 0xFF - Reserved. 0xFF - Not Available Values from 0x02 onward are only applicable for 3GPP2
  isSysForbiddenValid | Indicates whether the forbidden system is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  isSysForbidden | Whether the system is forbidden. 0x00 - Not forbidden 0x01 - Forbidden 0xFF - Not Available

## Field Documentation

BYTE sysInfoCommon::isSysForbidden

BYTE sysInfoCommon::isSysForbiddenValid

BYTE sysInfoCommon::roamStatus

BYTE sysInfoCommon::roamStatusValid

BYTE sysInfoCommon::srvCapability

BYTE sysInfoCommon::srvCapabilityValid

BYTE sysInfoCommon::srvDomain

BYTE sysInfoCommon::srvDomainValid